//
//  LiveRoomNewChatView.swift
//  SodaLive
//
//  Created by klaus on 2024/01/18.
//

import SwiftUI

struct LiveRoomNewChatView: View {
    
    let scrollToBottom: () -> Void
    
    var body: some View {
        HStack(spacing: 0) {
            Spacer()
            
            HStack(spacing: 6.7) {
                Image("ic_bottom_white")
                Text("새로운 채팅")
                    .font(.custom(Font.medium.rawValue, size: 13.3))
                    .foregroundColor(Color.grayee)
            }
            .padding(.vertical, 8)
            .padding(.horizontal, 13.3)
            .background(Color.gray55.opacity(0.8))
            .cornerRadius(16.7)
            .padding(.bottom, 13.3)
            .onTapGesture { scrollToBottom() }
            
            Spacer()
        }
    }
}

struct LiveRoomNewChatView_Previews: PreviewProvider {
    static var previews: some View {
        LiveRoomNewChatView {}
    }
}
